MCP Tools Reference: cloudlocationfinder

Tool: search_cloud_locations

Searches for cloud locations from a given source location.

The following sample demonstrate how to use curl to invoke the search_cloud_locations MCP tool.

Curl Request
                  
curl --location 'https://cloudlocationfinder.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_cloud_locations",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for SearchCloudLocations.

SearchCloudLocationsRequest

JSON representation
{
  "project": string,
  "location": string,
  "sourceCloudLocation": string,

  // Union field _query can be only one of the following:
  "query": string
  // End of list of possible types for union field _query.

  // Union field _page_size can be only one of the following:
  "pageSize": integer
  // End of list of possible types for union field _page_size.

  // Union field _page_token can be only one of the following:
  "pageToken": string
  // End of list of possible types for union field _page_token.
}
Fields
project

string

Required. The project ID.

location

string

Required. The location ID (e.g., "global").

sourceCloudLocation

string

Required. The source cloud location to search from.

Union field _query.

_query can be only one of the following:

query

string

Optional. The query string in search query syntax.

Union field _page_size.

_page_size can be only one of the following:

pageSize

integer

Optional. The maximum number of locations to return. The service may return fewer than this value. If unspecified, at most 50 locations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

Union field _page_token.

_page_token can be only one of the following:

pageToken

string

Optional. A page token, received from a previous SearchCloudLocations call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to SearchCloudLocations must match the call that provided the page token.

Output Schema

Message for response to searching cloud locations.

SearchCloudLocationsResponse

JSON representation
{
  "cloudLocations": [
    {
      object (CloudLocation)
    }
  ],
  "nextPageToken": string
}
Fields
cloudLocations[]

object (CloudLocation)

Output only. List of cloud locations.

nextPageToken

string

Output only. The continuation token, used to page through large result sets. Provide this value in a subsequent request as page_token in subsequent requests to retrieve the next page. If this field is not present, there are no subsequent results.

CloudLocation

JSON representation
{
  "name": string,
  "containingCloudLocation": string,
  "displayName": string,
  "cloudProvider": enum (CloudProvider),
  "territoryCode": string,
  "cloudLocationType": enum (CloudLocationType),

  // Union field _carbon_free_energy_percentage can be only one of the following:
  "carbonFreeEnergyPercentage": number
  // End of list of possible types for union field
  // _carbon_free_energy_percentage.
}
Fields
name

string

Identifier. Name of the cloud location. Unique name of the cloud location including project and location using the form: projects/{project_id}/locations/{location}/cloudLocations/{cloud_location}

containingCloudLocation

string

Output only. The containing cloud location in the strict nesting hierarchy. For example, the containing cloud location of a zone is a region.

displayName

string

Optional. The human-readable name of the cloud location. Example: us-east-2, us-east1.

cloudProvider

enum (CloudProvider)

Optional. The provider of the cloud location. Values can be Google Cloud or third-party providers, including AWS, Azure, or Oracle Cloud Infrastructure.

territoryCode

string

Optional. The two-letter ISO 3166-1 alpha-2 code of the cloud location. Examples: US, JP, KR.

cloudLocationType

enum (CloudLocationType)

Optional. The type of the cloud location.

Union field _carbon_free_energy_percentage.

_carbon_free_energy_percentage can be only one of the following:

carbonFreeEnergyPercentage

number

Optional. The carbon free energy percentage of the cloud location. This represents the average percentage of time customers' application will be running on carbon-free energy. See https://cloud.google.com/sustainability/region-carbon for more details. There is a difference between default value 0 and unset value. 0 means the carbon free energy percentage is 0%, while unset value means the carbon footprint data is not available.

CloudProvider

The type of the cloud provider. This enum lists all possible providers of cloud locations.

Enums
CLOUD_PROVIDER_UNSPECIFIED Unspecified type.
CLOUD_PROVIDER_GCP Cloud provider type for Google Cloud.
CLOUD_PROVIDER_AWS Cloud provider type for AWS.
CLOUD_PROVIDER_AZURE Cloud provider type for Azure.
CLOUD_PROVIDER_OCI Cloud provider type for OCI.

CloudLocationType

The type of the cloud location. This enum lists all possible categories of cloud locations.

Enums
CLOUD_LOCATION_TYPE_UNSPECIFIED Unspecified type.
CLOUD_LOCATION_TYPE_REGION CloudLocation type for region.
CLOUD_LOCATION_TYPE_ZONE CloudLocation type for zone.
CLOUD_LOCATION_TYPE_GDCC_ZONE CloudLocation type for Google Distributed Cloud Connected Zone.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌